<?php

/**
* Class Schedule Settings
*
* @package bootstrap_fitness
*/
add_action( 'customize_register', 'bootstrap_fitness_customize_class_schedule_option' );
function bootstrap_fitness_customize_class_schedule_option( $wp_customize )
{
    $wp_customize->add_section( 'bootstrap_fitness_class_schedule_section', array(
        'title' => esc_html__( 'Class Schedule Section', 'bootstrap-fitness' ),
        'panel' => 'bootstrap_fitness_homepage_panel',
    ) );
    $wp_customize->add_setting( 'bootstrap_fitness_class_schedule_section_upgrade_to_pro', array(
        'sanitize_callback' => null,
    ) );
    $wp_customize->add_control( new Bootstrap_Fitness_Control_Upgrade_To_Pro( $wp_customize, 'bootstrap_fitness_class_schedule_section_upgrade_to_pro', array(
        'section'     => 'bootstrap_fitness_class_schedule_section',
        'settings'    => 'bootstrap_fitness_class_schedule_section_upgrade_to_pro',
        'title'       => __( 'Present a full-width table displaying the schedule of weekly classes.', 'bootstrap-fitness' ),
        'items'       => array(
        'one'   => array(
        'title' => __( 'Beautiful Full-width table', 'bootstrap-fitness' ),
    ),
        'two'   => array(
        'title' => __( 'Monday to Sunday columns', 'bootstrap-fitness' ),
    ),
        'three' => array(
        'title' => __( 'Day time rows', 'bootstrap-fitness' ),
    ),
        'four'  => array(
        'title' => __( 'Present your classes in the table cells', 'bootstrap-fitness' ),
    ),
    ),
        'button_url'  => esc_url( 'https://thebootstrapthemes.com/fitness-gym/#free-vs-pro' ),
        'button_text' => __( 'Upgrade Now', 'bootstrap-fitness' ),
    ) ) );
}
